# TODO: system colorama?
#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_with	tests	# unit tests (many failures)

Summary:	Flexible code tracing toolkit
Summary(pl.UTF-8):	Elastyczny zbiór narzędzi do śledzenia kodu
Name:		python3-hunter
Version:	3.7.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/hunter/
Source0:	https://files.pythonhosted.org/packages/source/h/hunter/hunter-%{version}.tar.gz
# Source0-md5:	61c0c6f0ae46b6de1c385b3b7b36c345
URL:		https://pypi.org/project/hunter/
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools >= 1:64.0.0
BuildRequires:	python3-setuptools_scm >= 3.3.1
%if %{with tests}
BuildRequires:	python3-aspectlib
BuildRequires:	python3-manhole >= 1.5
BuildRequires:	python3-process_tests
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hunter is a flexible code tracing toolkit, not for measuring coverage,
but for debugging, logging, inspection and other nefarious purposes.
It has a simple Python API, a convenient terminal API and a CLI tool
to attach to processes.

%description -l pl.UTF-8
Hunter to elastyczny zbiór narzędzi do śledzenia kodu, służący nie do
pomiaru pokrycia, ale diagnostyki, logowania, inspekcji i innych
nikczemnych celów. Ma proste API pythonowe, wygodne API terminalowe
oraz narzędzie linii poleceń do podłączania do procesów.

%package apidocs
Summary:	API documentation for Python hunter hunter
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona hunter
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python hunter hunter.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona hunter.

%prep
%setup -q -n hunter-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} -m pytest tests --ignore=tests/test_tracer.py
%endif

%if %{with doc}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/hunter-trace{,-3}
ln -s hunter-trace-3 $RPM_BUILD_ROOT%{_bindir}/hunter-trace

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/hunter-trace
%attr(755,root,root) %{_bindir}/hunter-trace-3
%dir %{py3_sitedir}/hunter
%attr(755,root,root) %{py3_sitedir}/hunter/_*.cpython-*.so
%{py3_sitedir}/hunter/*.py
%{py3_sitedir}/hunter/__pycache__
%dir %{py3_sitedir}/hunter/vendor
%{py3_sitedir}/hunter/vendor/__init__.py
%{py3_sitedir}/hunter/vendor/__pycache__
%dir %{py3_sitedir}/hunter/vendor/_cymem
%attr(755,root,root) %{py3_sitedir}/hunter/vendor/_cymem/cymem.cpython-*.so
%{py3_sitedir}/hunter/vendor/_cymem/*.py
%{py3_sitedir}/hunter/vendor/_cymem/__pycache__
%{py3_sitedir}/hunter/vendor/colorama
%{py3_sitedir}/hunter.pth
%{py3_sitedir}/hunter-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Thu Jul 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hunter.git;a=log;h=master

* Thu Jul 03 2025 Jakub Bogusz <qboosh@pld-linux.org> aa79e5c
- python-hunter.spec updated to 3.7.0 for python 3.8+

* Wed Jul 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 1b12a0e
- initial

